=== src/Makefile ===
#############################################################################
# Makefile for building: smplayer
# Generated by qmake (1.07a) (Qt 3.3.3) on: Wed Jun 20 19:11:38 2007
# Project:  smplayer.pro
# Template: app
# Command: $(QMAKE) -o Makefile smplayer.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -D_REENTRANT  -DDATA_PATH=$(DATA_PATH) -DDOC_PATH=$(DOC_PATH) -DTRANSLATION_PATH=$(TRANSLATION_PATH) -DCONF_PATH=$(CONF_PATH) -DTHEMES_PATH=$(THEMES_PATH) -DSHORTCUTS_PATH=$(SHORTCUTS_PATH) -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -Wall -W -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -D_REENTRANT  -DDATA_PATH=$(DATA_PATH) -DDOC_PATH=$(DOC_PATH) -DTRANSLATION_PATH=$(TRANSLATION_PATH) -DCONF_PATH=$(CONF_PATH) -DTHEMES_PATH=$(THEMES_PATH) -DSHORTCUTS_PATH=$(SHORTCUTS_PATH) -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = config.h \
		constants.h \
		qt3_4_compat.h \
		version.h \
		global.h \
		helper.h \
		translator.h \
		subtracks.h \
		trackdata.h \
		tracks.h \
		desktopinfo.h \
		mplayerprocess.h \
		mplayerwindow.h \
		mediadata.h \
		mediasettings.h \
		preferences.h \
		images.h \
		inforeader.h \
		recents.h \
		core.h \
		logwindow.h \
		infofile.h \
		encodings.h \
		seekwidget.h \
		mytable.h \
		keychooser.h \
		actionseditor.h \
		preferencesdialog.h \
		filepropertiesdialog.h \
		playlist.h \
		verticaltext.h \
		eqslider.h \
		videoequalizer.h \
		timeslider.h \
		inputdvddirectory.h \
		mypopupmenu.h \
		myaction.h \
		client.h \
		server.h \
		csmanager.h \
		filedialog.h \
		aboutdialog.h \
		basegui.h \
		baseguiplus.h \
		floatingcontrol.h \
		defaultgui.h
SOURCES = global.cpp \
		helper.cpp \
		translator.cpp \
		subtracks.cpp \
		trackdata.cpp \
		tracks.cpp \
		desktopinfo.cpp \
		mplayerprocess.cpp \
		mplayerwindow.cpp \
		mediadata.cpp \
		mediasettings.cpp \
		preferences.cpp \
		images.cpp \
		inforeader.cpp \
		recents.cpp \
		core.cpp \
		logwindow.cpp \
		infofile.cpp \
		encodings.cpp \
		seekwidget.cpp \
		mytable.cpp \
		keychooser.cpp \
		actionseditor.cpp \
		preferencesdialog.cpp \
		filepropertiesdialog.cpp \
		playlist.cpp \
		verticaltext.cpp \
		eqslider.cpp \
		videoequalizer.cpp \
		timeslider.cpp \
		inputdvddirectory.cpp \
		mypopupmenu.cpp \
		myaction.cpp \
		client.cpp \
		server.cpp \
		csmanager.cpp \
		filedialog.cpp \
		aboutdialog.cpp \
		basegui.cpp \
		baseguiplus.cpp \
		floatingcontrol.cpp \
		defaultgui.cpp \
		main.cpp
OBJECTS = .obj/global.o \
		.obj/helper.o \
		.obj/translator.o \
		.obj/subtracks.o \
		.obj/trackdata.o \
		.obj/tracks.o \
		.obj/desktopinfo.o \
		.obj/mplayerprocess.o \
		.obj/mplayerwindow.o \
		.obj/mediadata.o \
		.obj/mediasettings.o \
		.obj/preferences.o \
		.obj/images.o \
		.obj/inforeader.o \
		.obj/recents.o \
		.obj/core.o \
		.obj/logwindow.o \
		.obj/infofile.o \
		.obj/encodings.o \
		.obj/seekwidget.o \
		.obj/mytable.o \
		.obj/keychooser.o \
		.obj/actionseditor.o \
		.obj/preferencesdialog.o \
		.obj/filepropertiesdialog.o \
		.obj/playlist.o \
		.obj/verticaltext.o \
		.obj/eqslider.o \
		.obj/videoequalizer.o \
		.obj/timeslider.o \
		.obj/inputdvddirectory.o \
		.obj/mypopupmenu.o \
		.obj/myaction.o \
		.obj/client.o \
		.obj/server.o \
		.obj/csmanager.o \
		.obj/filedialog.o \
		.obj/aboutdialog.o \
		.obj/basegui.o \
		.obj/baseguiplus.o \
		.obj/floatingcontrol.o \
		.obj/defaultgui.o \
		.obj/main.o \
		.obj/preferencesdialogbase.o \
		.obj/logwindowbase.o \
		.obj/filepropertiesdialogbase.o \
		.obj/eqsliderbase.o \
		.obj/inputdvddirectorybase.o \
		.obj/seekwidgetbase.o \
		.obj/qmake_image_collection.o
FORMS = preferencesdialogbase.ui \
		logwindowbase.ui \
		filepropertiesdialogbase.ui \
		eqsliderbase.ui \
		inputdvddirectorybase.ui \
		seekwidgetbase.ui
UICDECLS = .ui/preferencesdialogbase.h \
		.ui/logwindowbase.h \
		.ui/filepropertiesdialogbase.h \
		.ui/eqsliderbase.h \
		.ui/inputdvddirectorybase.h \
		.ui/seekwidgetbase.h
UICIMPLS = .ui/preferencesdialogbase.cpp \
		.ui/logwindowbase.cpp \
		.ui/filepropertiesdialogbase.cpp \
		.ui/eqsliderbase.cpp \
		.ui/inputdvddirectorybase.cpp \
		.ui/seekwidgetbase.cpp
SRCMOC   = .moc/moc_mplayerprocess.cpp \
		.moc/moc_mplayerwindow.cpp \
		.moc/moc_inforeader.cpp \
		.moc/moc_recents.cpp \
		.moc/moc_core.cpp \
		.moc/moc_logwindow.cpp \
		.moc/moc_infofile.cpp \
		.moc/moc_encodings.cpp \
		.moc/moc_seekwidget.cpp \
		.moc/moc_keychooser.cpp \
		.moc/moc_actionseditor.cpp \
		.moc/moc_preferencesdialog.cpp \
		.moc/moc_filepropertiesdialog.cpp \
		.moc/moc_playlist.cpp \
		.moc/moc_eqslider.cpp \
		.moc/moc_videoequalizer.cpp \
		.moc/moc_timeslider.cpp \
		.moc/moc_inputdvddirectory.cpp \
		.moc/moc_myaction.cpp \
		.moc/moc_client.cpp \
		.moc/moc_server.cpp \
		.moc/moc_csmanager.cpp \
		.moc/moc_aboutdialog.cpp \
		.moc/moc_basegui.cpp \
		.moc/moc_baseguiplus.cpp \
		.moc/moc_floatingcontrol.cpp \
		.moc/moc_defaultgui.cpp \
		.moc/moc_preferencesdialogbase.cpp \
		.moc/moc_logwindowbase.cpp \
		.moc/moc_filepropertiesdialogbase.cpp \
		.moc/moc_eqsliderbase.cpp \
		.moc/moc_inputdvddirectorybase.cpp \
		.moc/moc_seekwidgetbase.cpp
OBJMOC = .obj/moc_mplayerprocess.o \
		.obj/moc_mplayerwindow.o \
		.obj/moc_inforeader.o \
		.obj/moc_recents.o \
		.obj/moc_core.o \
		.obj/moc_logwindow.o \
		.obj/moc_infofile.o \
		.obj/moc_encodings.o \
		.obj/moc_seekwidget.o \
		.obj/moc_keychooser.o \
		.obj/moc_actionseditor.o \
		.obj/moc_preferencesdialog.o \
		.obj/moc_filepropertiesdialog.o \
		.obj/moc_playlist.o \
		.obj/moc_eqslider.o \
		.obj/moc_videoequalizer.o \
		.obj/moc_timeslider.o \
		.obj/moc_inputdvddirectory.o \
		.obj/moc_myaction.o \
		.obj/moc_client.o \
		.obj/moc_server.o \
		.obj/moc_csmanager.o \
		.obj/moc_aboutdialog.o \
		.obj/moc_basegui.o \
		.obj/moc_baseguiplus.o \
		.obj/moc_floatingcontrol.o \
		.obj/moc_defaultgui.o \
		.obj/moc_preferencesdialogbase.o \
		.obj/moc_logwindowbase.o \
		.obj/moc_filepropertiesdialogbase.o \
		.obj/moc_eqsliderbase.o \
		.obj/moc_inputdvddirectorybase.o \
		.obj/moc_seekwidgetbase.o
DIST	   = smplayer.pro
QMAKE_TARGET = smplayer
DESTDIR  = 
TARGET   = smplayer

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: smplayer.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile smplayer.pro
qmake: 
	@$(QMAKE) -o Makefile smplayer.pro

dist: 
	@mkdir -p .obj/smplayer && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/smplayer/ && $(COPY_FILE) --parents translations/smplayer_es.ts translations/smplayer_de.ts translations/smplayer_sk.ts translations/smplayer_it.ts translations/smplayer_fr.ts translations/smplayer_zh_CN.ts translations/smplayer_ru_RU.ts translations/smplayer_hu.ts translations/smplayer_en_US.ts translations/smplayer_pl.ts translations/smplayer_ja.ts translations/smplayer_nl.ts translations/smplayer_uk_UA.ts translations/smplayer_pt_BR.ts translations/smplayer_ka.ts translations/smplayer_cs.ts translations/smplayer_bg.ts translations/smplayer_tr.ts translations/smplayer_sv.ts translations/smplayer_sr.ts translations/smplayer_zh_TW.ts translations/smplayer_ro_RO.ts translations/smplayer_pt_PT.ts .obj/smplayer/ && $(COPY_FILE) --parents icons-png/logo.png icons-png/mouse.png icons-png/keyboard.png icons-png/speaker.png icons-png/xresize_window.png icons-png/monitor.png icons-png/cdrom_drive.png icons-png/dvd_drive.png icons-png/pref_advanced.png icons-png/pref_general.png icons-png/pref_performance.png icons-png/pref_devices.png icons-png/pref_gui.png icons-png/pref_subtitles.png icons-png/input_devices.png icons-png/plus.png icons-png/minus.png icons-png/up.png icons-png/down.png icons-png/xrepeat.png icons-png/shuffle.png icons-png/ok.png icons-png/open.png icons-png/openfolder.png icons-png/dvd.png icons-png/dvd_hd.png icons-png/vcd.png icons-png/cdda.png icons-png/url.png icons-png/close.png icons-png/exit.png icons-png/save.png icons-png/copy.png icons-png/speed.png icons-png/playlist.png icons-png/info.png icons-png/prefs.png icons-png/logs.png icons-png/chapter.png icons-png/xtitle.png icons-png/sub.png icons-png/aspect.png icons-png/screenshot.png icons-png/fullscreen.png icons-png/compact.png icons-png/volume.png icons-png/mute.png icons-png/unload.png icons-png/forward10s.png icons-png/forward1m.png icons-png/forward10m.png icons-png/xrewind10s.png icons-png/xrewind1m.png icons-png/xrewind10m.png icons-png/play.png icons-png/pause.png icons-png/stop.png icons-png/previous.png icons-png/xnext.png icons-png/delete.png icons-png/brightness.png icons-png/contrast.png icons-png/hue.png icons-png/saturation.png icons-png/gamma.png icons-png/background.png icons-png/conflict.png icons-png/xtype_video.png icons-png/xtype_audio.png icons-png/xtype_dvd.png icons-png/xtype_vcd.png icons-png/xtype_cdda.png icons-png/xtype_url.png icons-png/xtype_unknown.png .obj/smplayer/ && ( cd `dirname .obj/smplayer` && $(TAR) smplayer.tar smplayer && $(GZIP) smplayer.tar ) && $(MOVE) `dirname .obj/smplayer`/smplayer.tar.gz . && $(DEL_FILE) -r .obj/smplayer

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
		-$(DEL_FILE) .ui/qmake_image_collection.cpp
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/global.o: global.cpp global.h \
		constants.h \
		preferences.h \
		translator.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/global.o global.cpp

.obj/helper.o: helper.cpp helper.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/helper.o helper.cpp

.obj/translator.o: translator.cpp translator.h \
		helper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/translator.o translator.cpp

.obj/subtracks.o: subtracks.cpp subtracks.h \
		mediasettings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/subtracks.o subtracks.cpp

.obj/trackdata.o: trackdata.cpp trackdata.h \
		helper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/trackdata.o trackdata.cpp

.obj/tracks.o: tracks.cpp tracks.h \
		trackdata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tracks.o tracks.cpp

.obj/desktopinfo.o: desktopinfo.cpp desktopinfo.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/desktopinfo.o desktopinfo.cpp

.obj/mplayerprocess.o: mplayerprocess.cpp mplayerprocess.h \
		global.h \
		preferences.h \
		config.h \
