## smplayer 0.5.62

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 KDE_APPLNK=$(KDE_PREFIX)/share/applications/
 
 QMAKE=qmake
+LRELEASE=lrelease
 
 DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" CONF_PATH=\\\"$(CONF_PATH)\\\" \
      TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
@@ -40,16 +41,18 @@
 endif
 
 src/smplayer:
+	./get_svn_revision.sh
 	cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
-
-
-# Adapt the source files for Qt 4
-prep:
-	cd src/ && qt3to4 -alwaysOverwrite smplayer.pro
+	cd src && $(LRELEASE) smplayer.pro
 
 clean:
 	cd src && make clean
 	-rm src/smplayer
+	-rm src/translations/smplayer_*.qm
+	-rm src/Makefile
+#	cd getrev && $(QMAKE) && make clean
+#	-rm getrev/getrev
+#	-rm getrev/Makefile
 
 install: src/smplayer
 	-install -d $(DESTDIR)$(PREFIX)/bin/
