## smplayer 0.6.0~rc2

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,9 @@
 	-install -d $(DESTDIR)$(DOC_PATH)
 	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)
 
+	-install -d $(DESTDIR)$(DOC_PATH)
+	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -
+
 	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
 	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
 
@@ -77,6 +80,9 @@
 	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smplayer.png
 	-install -d $(DESTDIR)$(KDE_APPLNK)
 	install -m 644 smplayer.desktop $(DESTDIR)$(KDE_APPLNK)
+	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
+	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
+	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1
 
 uninstall:
 	-rm $(PREFIX)/bin/smplayer
@@ -90,6 +96,7 @@
 	-rm $(KDE_ICONS)/22x22/apps/smplayer.png
 	-rm $(KDE_ICONS)/16x16/apps/smplayer.png
 	-rm $(KDE_APPLNK)/smplayer.desktop
+	-rm $(PREFIX)/share/man/man1/smplayer.1.gz
 	-rmdir $(TRANSLATION_PATH)/
 	-rmdir $(DOC_PATH)/
 	-rmdir $(DATA_PATH)/
