## smplayer 0.6.7

=== Makefile ===
--- 
+++ 
@@ -39,10 +39,14 @@
 
 endif
 
+.PHONY : src/smplayer
+
+smplayer: src/smplayer
+	cd src && $(LRELEASE) smplayer.pro
+
 src/smplayer:
 	./get_svn_revision.sh
-	cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
-	cd src && $(LRELEASE) smplayer.pro
+	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
 
 clean:
 	cd src && make distclean
