## smplayer 0.6.8

=== Makefile ===
--- 
+++ 
@@ -39,14 +39,10 @@
 
 endif
 
-.PHONY : src/smplayer
-
-smplayer: src/smplayer
-	cd src && $(LRELEASE) smplayer.pro
-
 src/smplayer:
 	./get_svn_revision.sh
 	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
+	cd src && $(LRELEASE) smplayer.pro
 
 clean:
 	cd src && make distclean
