## smplayer 0.6.9

=== debian/changelog ===
smplayer (0.6.9-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Modify URL parsing patch to handle some corner cases. (Closes: #626324)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 12 May 2011 20:38:49 +0700

smplayer (0.6.9-3) unstable; urgency=low

  * Add debian/patches/handle_local_urls.diff. (Closes: #583398)

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 28 Apr 2011 23:36:22 +0700

smplayer (0.6.9-2) unstable; urgency=low

  [ Maia Kozheva ]
  * Switch to 3.0 (quilt) format.
  * debian/control:
    - Bump Standards-Version to 3.9.1.
    - Add Vcs-Git and Vcs-Browser fields.
    - Enable DM-Upload-Allowed.

  [ Reinhard Tartler ]
  * Bugfix: add support for ffodivxvdpau, Closes: #609815.
    Thanks to Thibaut VARENE <varenet@debian.org> for the patch.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 08 Aug 2010 21:47:58 +0700

smplayer (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed mplayer-nogui from Depends, as it is now a transitional package
      to mplayer in both Debian and Ubuntu.
    - Bumped Standards-Version to 3.8.4 (no changes needed).

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 09 May 2010 21:23:36 +0700

smplayer (0.6.8-2) unstable; urgency=low

  * debian/compat:
    - Bumped to 7.
  * debian/control:
    - Changed maintainer to team.
    - Build-depend on dh 7, no cdbs.
  * debian/rules, debian/clean:
    - Rewritten to use dh 7.
    - Set DOC_PATH and remove an unneeded upstream file.
  * debian/smplayer.install, debian/smplayer.doc-base:
    - Install upstream docs correctly. (Closes: #557069)
  * Dropped debian/README.source - not using CDBS simple-patchsys anymore.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 21 Nov 2009 14:08:08 +0600

smplayer (0.6.8-1) unstable; urgency=low

  * New upstream release. (Closes: #543156)
  * Added /usr/share/pixmaps to debian/menu. (Closes: #526353)
  * debian/control: Bumped Standards-Version to 3.8.3.
  * debian/rules:
    - Removed VERSION variables, not relevant anymore.
    - Removed dh_desktop.
  * Removed 01_gl_translation.patch, fixed upstream.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 04 Nov 2009 12:45:38 +0600

smplayer (0.6.7-1) unstable; urgency=low

  * New upstream release. (Closes: #523791)
    - Reworked subtitle font preferences. (Closes: #503295)
    - No longer installs qt_fr.qm. (Closes: #486314)
  * debian/control:
    - Bumped Standards-Version to 3.8.1.
    - Changed maintainer name (still the same person and GPG key).
    - Changed section to video.
    - Build-depend on zlib1g-dev for findsubtitles.
    - Require Qt >= 4.3 per readme.
    - Added ${misc:Depends}.
    - Make smplayer-translations depend on smplayer and smplayer recommend
      smplayer-translations, not the other way round. (Closes: #489375)
  * debian/copyright:
    - Significantly expanded per-file with new upstream authors.
  * debian/rules:
    - Make make use correct uic in install.
    - Clean svn_revision.
    - Removed get-orig-source - not needed with uscan --repack.
  * debian/patches/01_gl_translation.patch:
    - Added patch to fix lrelease error on smplayer_gl.ts.
  * Added debian/README.source for simple-patchsys.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 31 Mar 2009 23:05:43 +0700

smplayer (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Updated get-orig-source rule (again).

 -- Matvey Kozhev <sikon@ubuntu.com>  Fri, 30 May 2008 12:52:19 +0700

smplayer (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped debian/compat to 6.
  * debian/control:
    - Require debhelper >= 6.
    - Relaxed the dependency of smplayer-translations on smplayer
      to Recommends. (Closes: #478713)
  * Dropped debian/smplayer.desktop, changes applied upstream.

 -- Matvey Kozhev <sikon@ubuntu.com>  Tue, 13 May 2008 10:12:30 +0700

smplayer (0.6.0~rc4-1) unstable; urgency=low

  * New upstream release.

 -- Matvey Kozhev <sikon@ubuntu.com>  Wed, 16 Apr 2008 15:11:15 +0700

smplayer (0.6.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Disable debug output on console.

 -- Matvey Kozhev <sikon@ubuntu.com>  Mon, 24 Mar 2008 20:40:33 +0600

smplayer (0.6.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated upstream homepage (for real this time).
  * debian/rules:
    - Added --no-symlink to uscan in get-orig-source to avoid creating
      .orig.tar.bz2 symlinks.

 -- Matvey Kozhev <sikon@lucidfox.org>  Fri, 15 Feb 2008 14:58:22 +0600

smplayer (0.6.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on CDBS.
    - Updated upstream homepage.
  * debian/copyright:
    - Updated download address.
  * debian/rules:
    - Migrated to CDBS.
    - Tweaked get-orig-source to work with release candidates.
  * debian/docs:
    - Removed Translations.txt, upstream removed it from the tarball.
    - Added Release_notes.txt.
  * debian/manpages, debian/smplayer.1:
    - Deleted, manpage merged upstream.
  * debian/smplayer.install:
    - Install usr/share/man.

 -- Matvey Kozhev <sikon@lucidfox.org>  Thu, 31 Jan 2008 13:44:53 +0600

smplayer (0.5.62-1) unstable; urgency=low

  * First upload to Debian. (Closes: #459789)
  * debian/control:
    - Set maintainer to myself.
  * debian/copyright:
    - Mentioned takeover from Ubuntu.
  * debian/menu:
    - Replaced icon name "smplayer" with "smplayer.xpm".
  * debian/rules:
    - Replaced "make distclean" (nonexistent rule) with "make clean".
    - Fixed CONF_PATH.
    - Additional cleanup through dh_clean.

 -- Matvey Kozhev <sikon@lucidfox.org>  Wed, 09 Jan 2008 00:10:25 +0600
