=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libqt4-dev (>= 4.3),
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
DM-Upload-Allowed: yes

Package: smplayer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}, mplayer
Recommends: smplayer-translations, smplayer-themes
Description: complete front-end for MPlayer
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-translations
Architecture: all
Depends: ${misc:Depends},
         smplayer (>= ${source:Version})
Replaces: smplayer (<< 0.5.62)
Description: complete front-end for MPlayer - translation files
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.
