## smplayer 0.7.0

=== debian/changelog ===
smplayer (0.7.0-1ubuntu2) precise; urgency=low

  * Revert previous change, the string is basically un-translatable since 
    we don't have easy way to translate universe sources

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Feb 2012 19:44:30 +0100

smplayer (0.7.0-1ubuntu1) precise; urgency=low

  * debian/patches/01-add-unity-quicklist.patch: add Unity quicklist entries.

 -- David Baucum <maxolasersquad@gmail.com>  Fri, 24 Feb 2012 09:03:54 +0100

smplayer (0.7.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #655125):
    - Changes since 0.6.10:
      + New favorite menu, where you can add your favorite videos, music,
         streams, youtube videos... It's also possible to add submenus.
      + Support for youtube. Now you can open urls like
        http://www.youtube.com/watch?v=..... using the Open -> URL dialog or
        dragging a link from a browser to the smplayer window.
      + Support for mplayer2 (http://www.mplayer2.org). It's a fork of mplayer
        with interesting features like precise seeking, ordered chapters in
        mkv videos and better pause handling (e.g. seek works while the video
        is paused).
      + New translation: croatian.
    - Changes since 0.6.9:
      + New vdpau configuration dialog, which allow to select the vdpau codecs
        to use. (Closes: #610204)
      + Port for eCS, OS/2 (by Silvan Scherrer).
      + New menu to select the closed caption channel (requires mplayer >=
        r32607).
      + Possibility to select the seeking method (absolute or relative).
      + Possibility to sort the items of the playlist.
  * Remove debian/patches/enable_ffodivxvdpau.diff, the application now
    provides a configuration dialog for vdpau.
  * Refresh handle_local_urls.diff.
  * Update copyright notice.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Feb 2012 11:51:44 +0100
