=== debian/control ===
--- 
+++ 
@@ -15,9 +15,11 @@
 
 Package: smplayer
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}, mplayer
-Recommends: smplayer-translations, smplayer-themes
+Depends: mplayer,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: smplayer-themes,
+            smplayer-translations
 Description: complete front-end for MPlayer
  Qt Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -30,8 +32,8 @@
 
 Package: smplayer-translations
 Architecture: all
-Depends: ${misc:Depends},
-         smplayer (>= ${source:Version})
+Depends: smplayer (>= ${source:Version}),
+         ${misc:Depends}
 Replaces: smplayer (<< 0.5.62)
 Description: complete front-end for MPlayer - translation files
  Qt Mplayer front-end, with basic features like playing
