## smplayer 0.8.0

=== debian/changelog ===
smplayer (0.8.0-1+deb7u1) stable; urgency=low

  * Team upload.
  * Don't append -fontconfig to the command line options for Mplayer2
    to prevent crash at startup. (Closes: #723707)

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 11:16:21 +0100

smplayer (0.8.0-1) unstable; urgency=low

  [ Maia Kozheva ]
  * New upstream release:
    - Changes since 0.7.1:
      + A toolbar editor has been added. Now it's possible to select the
        buttons and controls that want to appear in the toolbars.
      + New video filters: gradfun, blur and sharpen.
      + Now it's possible to change the GUI (default, mini, mpc) at runtime,
        no restart required.
      + sub files from opensubtitles should work again.
      + (Youtube) Recognize short urls (like this one:
        http://y2u.be/F5OcZBVPwOA)
      + Better support for chapters in video files.
      + Bug fix: remote m3u files work from the favorites menu or command line.
      + Internal changes in the single instance option (switch to 
        QtSingleApplication).
    - Fixes since 0.7.0:
      + SMPlayer took more than 10 seconds to show when running for the very
        first time.
      + The links to download subtitles from Opensubtitles were wrong.
      + SMPlayer crashed in the favorite editor when trying to select a file
        if the KDE open dialog was used.
    - Changes since 0.7.0:
      + By default the screenshots are saved in the user's pictures folder
        instead of the SMPlayer's config folder.
      + Now it's possible to change the opensubtitles server.
      + Youtube: seeking is slow with flv videos, so now flv videos have the
        lowest priority.
      + Youtube: now it's possible to search and download videos from youtube.
        This is provided by an external application (in linux you have to
        install an independent package: smtube).
  * debian/copyright:
    - Rewrite according to DEP-5 specification.
  * debian/control:
    - Depend on mplayer2 | mplayer. (Closes: #638279)
    - Update Standards-Version to 3.9.3.
  * Remove debian/patches/handle_local_urls.diff, merged upstream.

  [ Alessio Treglia ]
  * Mention smplayer is also a front-end for MPlayer2.
  * Fix small typo in the description.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 14 Apr 2012 12:01:57 +0700
