=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
                libqt4-dev (>= 4.3),
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
@@ -15,13 +15,13 @@
 
 Package: smplayer
 Architecture: any
-Depends: mplayer,
+Depends: mplayer2 | mplayer,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: smplayer-themes,
             smplayer-translations
-Description: complete front-end for MPlayer
- Qt Mplayer front-end, with basic features like playing
+Description: complete front-end for MPlayer and MPlayer2
+ Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
  of SMPlayer: it remembers the settings of all files you play.
@@ -35,8 +35,8 @@
 Depends: smplayer (>= ${source:Version}),
          ${misc:Depends}
 Replaces: smplayer (<< 0.5.62)
-Description: complete front-end for MPlayer - translation files
- Qt Mplayer front-end, with basic features like playing
+Description: complete front-end for MPlayer and MPlayer2 - translation files
+ Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
  of SMPlayer: it remembers the settings of all files you play.
