## smplayer 0.8.3

=== debian/changelog ===
smplayer (0.8.3-1) experimental; urgency=low

  * Team upload.
  * New upstream release. (Closes: #698300)

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Feb 2013 03:00:21 +0000
