=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
-DM-Upload-Allowed: yes
 
 Package: smplayer
 Architecture: any
