=== debian/changelog ===
smplayer (0.8.6-2) unstable; urgency=low

  * Team upload.
  * Remove doc-base document, faq.html file is no longer
    provided. (Closes: #725829)
  * Disable updates checking mechanism.
  * Add licensing information on libmaia, split sources stanzas from
    License ones.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 12:02:50 +0100

smplayer (0.8.6-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Refresh patches.
  * Fix VCS urls to meet the canonical form.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 12:51:23 +0100

smplayer (0.8.4-1) experimental; urgency=low

  * Imported Upstream version 0.8.4
    - improved downloading on slow links, closes: #607187.
    - no longer overwrites previously downloaded subtitles, closes: #607190.
  * Testing confirms that this version works with both, mplayer and
    mplayer2, closes: #640889, #641909, #643781, #678315.
  * Improve mplayer2 auto-detection, closes: #699864.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Mar 2013 09:15:38 +0100
