=== debian/control ===
--- 
+++ 
@@ -2,23 +2,27 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Reinhard Tartler <siretart@tauware.de>,
-           Maia Kozheva <sikon@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
-               libqt4-dev (>= 4.3),
-               zlib1g-dev
-Standards-Version: 3.9.3
+Uploaders:
+ Reinhard Tartler <siretart@tauware.de>,
+ Maia Kozheva <sikon@ubuntu.com>
+Build-Depends:
+ debhelper (>= 9),
+ libqt4-dev (>= 4.3),
+ zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://smplayer.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-multimedia/smplayer.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/smplayer.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
 
 Package: smplayer
 Architecture: any
-Depends: mplayer2 | mplayer,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: smplayer-themes,
-            smplayer-translations
+Depends:
+ mplayer2 | mplayer,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ smplayer-themes,
+ smplayer-translations
 Description: complete front-end for MPlayer and MPlayer2
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -31,9 +35,11 @@
 
 Package: smplayer-translations
 Architecture: all
-Depends: smplayer (>= ${source:Version}),
-         ${misc:Depends}
-Replaces: smplayer (<< 0.5.62)
+Depends:
+ smplayer (>= ${source:Version}),
+ ${misc:Depends}
+Replaces:
+ smplayer (<< 0.5.62)
 Description: complete front-end for MPlayer and MPlayer2 - translation files
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
