=== debian/watch ===
version=3

http://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2
