## smplayer 14.3.0

=== debian/changelog ===
smplayer (14.3.0-1) unstable; urgency=medium

  * Add myself to uploaders.
  * New upstream release. (Closes: #740769, #742685)
  * debian/control:
    - bump standards version to 3.9.5. (no changes needed)
    - rename smplayer-translations to smplayer-l10n. (Closes: #698365)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 21 Apr 2014 11:53:59 +0200
