## smplayer 14.9.0~ds0

=== debian/changelog ===
smplayer (14.9.0~ds0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Alessio Treglia ]
  * Repackaging upstream sources to get rid of
    zlib/contrib/dotzlib/DotZLib.chm.
  * Enable parallel builds.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 10 Sep 2014 13:50:48 +0200
