=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Maia Kozheva <sikon@ubuntu.com>
+ Maia Kozheva <sikon@ubuntu.com>,
+ Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper (>= 9),
  libqt4-dev (>= 4.3),
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
@@ -22,7 +23,7 @@
  ${shlibs:Depends}
 Recommends:
  smplayer-themes,
- smplayer-translations
+ smplayer-l10n
 Description: complete front-end for MPlayer and MPlayer2
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
@@ -33,13 +34,15 @@
  point you left it, and with the same settings: audio track,
  subtitles, volume...
 
-Package: smplayer-translations
+Package: smplayer-l10n
 Architecture: all
 Depends:
  smplayer (>= ${source:Version}),
  ${misc:Depends}
 Replaces:
- smplayer (<< 0.5.62)
+ smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
+Breaks: 
+ smplayer-translations (<< 14.3.0)
 Description: complete front-end for MPlayer and MPlayer2 - translation files
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
