=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make -f
+
+export REPACK_SH = $(CURDIR)/debian/repack.sh
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = PREFIX=/usr QMAKE=qmake-qt4 LRELEASE=lrelease-qt4 QMAKE_OPTS="$(QMAKE_OPTS)"
+
+get-orig-source:
+	uscan --force-download
 
 override_dh_auto_clean:
 	[ ! -f src/Makefile ] || dh_auto_clean
@@ -14,4 +19,4 @@
 	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt
 
 %:
-	dh $@
+	dh $@ --parallel
