## smplayer 15.11.0~ds0

=== debian/changelog ===
smplayer (15.11.0~ds0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Repackaging upstream sources to drop included zlib sources.
  * New upstream release. (Closes: #770357, #798961, #799040, #800533,
    LP: #1390937)
    - Build with QT5.
  * Bump standards version to 3.9.6. (no changes needed)
  * Patch working: (thanks Alf Gaida <agaida@siduction.org>) 
    - Add 03-not_define_reminder_actions.patch to do not define reminder
    actions (Closes: #770359)
    - Add 04_update_desktop_launcher.patch for add Unity Launcher
    Quicklist and Keywords in desktop file. (LP: #938015)
    - Refresh 02-disable_updates.patch.
    - Add 05-add-debian-hardening-flags.patch to using Debian hardening 
      flags.
    - Add 06-tryfixplaylist.patch to fix playlist that disappear after
      leaving full-screen with openbox. (Closes: #799385, #799984)
  * debian/rules:
    - Remove /usr/share/doc/smplayer/es/gpl.htm
  * Update debian/copyright.
  * Add support for mpv: (Closes: #783401)
    - debian/control: Add mpv instead of mplayer|mplayer2.
  * debian/repack.local: update for dfsg to remove zlib directory.
  * Drop depends on mplayer2. It has been removed from Debian repository.
  * Remove debian/menu -- no longer needed.
  
  [ Alf Gaida ]
  * debian/rules:
    - Make local rebuilds possible. (Closes: #770382)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 06 Dec 2015 21:24:40 +0100
