=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
  debhelper (>= 9),
- libqt4-dev (>= 4.3),
+ qtbase5-dev (>= 5.1),
+ qt5-qmake,
+ qtscript5-dev,
+ qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
@@ -18,13 +21,13 @@
 Package: smplayer
 Architecture: any
 Depends:
- mplayer2 | mplayer,
+ mpv (>= 0.6.2) | mplayer,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  smplayer-themes,
  smplayer-l10n
-Description: complete front-end for MPlayer and MPlayer2
+Description: complete front-end for MPlayer, MPlayer2 and MPV
  Qt4 Mplayer front-end, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
